Re: PunBB 1.4.4

Visman wrote:
    $pattern[] = '#\[sup\](.*?)\[/sup\]#ms';
    $replace[] = '<sup id="one">$matches[1]</sup>';

great prblem solved.
Thxx u Mr visman

sorry my BAD english T___T
Have a nice day >.<
(^____^)v

Re: PunBB 1.4.4

i want palce this code on index, viewforum & viewtopic

<?php include_once("analyticstracking.php") ?>

how to write hook for make extension for this?
please ur help

sorry my BAD english T___T
Have a nice day >.<
(^____^)v

28

Re: PunBB 1.4.4

hook ft_about_output_start

if (in_array(FORUM_PAGE, array('index', 'viewtopic', 'viewforum')))
    include FORUM_ROOT . 'analyticstracking.php';
Parserus - BBCode parser
I speak only Russian  :P

29 (edited by kudataz 2015-12-01 00:35)

Re: PunBB 1.4.4

Visman wrote:

hook ft_about_output_start

if (in_array(FORUM_PAGE, array('index', 'viewtopic', 'viewforum')))
    include FORUM_ROOT . 'analyticstracking.php';
<hook id="ft_about_output_start"><![CDATA[
if (in_array(FORUM_PAGE, array('index', 'viewtopic', 'viewforum')))
    include FORUM_ROOT . 'analyticstracking.php';
]]></hook>

in admin panel extension menu, there are generate Server error 500

PHP Warning:  Illegal string offset 'hook' in /home/abc/public_html/include/xml.php(100) : eval()'d code on line 1
PHP Fatal error:  Cannot use string offset as an array in /home/abc/public_html/include/xml.php(100) : eval()'d code on line 1

then i change hook into ft_js_include & problem solved smile

Thxx a lot Mr.Visman for help.
thxx punbb <3

sorry my BAD english T___T
Have a nice day >.<
(^____^)v

Re: PunBB 1.4.4

gaplee wrote:

Does anything else need to do after upgrade from v1.4.3 to v1.4.4 with the changed files?

31

Re: PunBB 1.4.4

I`m going to update from 1.4.2 to 1.4.4
How do I do it?
Replace all files in my actual forum?
Need to execute something after I replace all files?

Regards.

32

Re: PunBB 1.4.4

Visman wrote:
string(30) "`\[video\]([^\[]+)\[/video\]`e"

The extension containing the video bb-code is guilty.

Can we fix this plugin in order to work in Punbb 1.4.4 ?
I'm using it in my forum from long time and I have many videos posted.

Forex Strategy Builder - the world fastest backtester, generator, optimizer...
Using PunBB since 2006 at Forex Forum

33 (edited by PanBB.Ru 2016-02-27 21:17)

Re: PunBB 1.4.4

Tato wrote:

I`m going to update from 1.4.2 to 1.4.4
How do I do it?
Replace all files in my actual forum?
Need to execute something after I replace all files?
Regards.

Download the arhive.
Disable extensions  pun_bbcode & fancy_video_tag.
Update all files from arhive punbb 1.4.4
Also you need to run /admin/db_update.php .
Clear cache.

Re: PunBB 1.4.4

Popov wrote:
Visman wrote:
string(30) "`\[video\]([^\[]+)\[/video\]`e"

The extension containing the video bb-code is guilty.

Can we fix this plugin in order to work in Punbb 1.4.4 ?
I'm using it in my forum from long time and I have many videos posted.

About what resolution you talking about?

35

Re: PunBB 1.4.4

I'm facing Fancy Video Tag v 0.4.10

When I enable it, I receive the following error:

Warning: preg_replace_callback(): Modifier /e cannot be used with replacement callback in /home/forexsb/webapps/forexsb_forum/include/parser.php on line 811

It looks like it's original author is not supporting it anymore.

So my question is if this extension can be fixed or we have to revert back to PunBB v 1.4.2.

We are 2016 already. How this forum software has no a video integration plugin !?!?!
Shame. Once back in the time PunBB was the best forum software.

Forex Strategy Builder - the world fastest backtester, generator, optimizer...
Using PunBB since 2006 at Forex Forum

36 (edited by PanBB.Ru 2016-02-28 10:16)

Re: PunBB 1.4.4

Please do not criticize.
This is free software , and it is supported in the main gurus.

To solve your problem , do this:
Open
manifest.xml
Search hook
ps_do_bbcode_replace
Replace

                $pattern[] = '`\[video\]([^\[]+)\[/video\]`e';
                $replace[] = 'fancy_video_tag_parse(\'$1\')';

On this:

                $pattern[] = '`\[video\]([^\[]+)\[/video\]`';
                $replace[] = '".fancy_video_tag_parse($matches[1])."';

Update hooks OR reinstall extension.

37 (edited by Popov 2016-02-28 22:02)

Re: PunBB 1.4.4

Thank you,
it works fine.

Forex Strategy Builder - the world fastest backtester, generator, optimizer...
Using PunBB since 2006 at Forex Forum

Re: PunBB 1.4.4

Comes with some important bug fixes.Very Good news.

39

Re: PunBB 1.4.4

Thanks PanBB.RU

I can update forum successfully and modify Fancy Video Tag to work properly.

Forum looks better on mobile phones.

Regards.

Re: PunBB 1.4.4

so good

41

Re: PunBB 1.4.4

Good news, guys. Can I update directly from 1.4.2 to 1.4.4 or 1.4.2 > 1.4.3 > 1.4.4?

Re: PunBB 1.4.4

maciey wrote:

Good news, guys. Can I update directly from 1.4.2 to 1.4.4 or 1.4.2 > 1.4.3 > 1.4.4?

Pan Updater- Update version PunBB installation in one click

43

Re: PunBB 1.4.4

Updated successfully. Not bad!

44 (edited by susanalbert247 2016-12-23 21:00)

Re: PunBB 1.4.4

Awesome!
panniculectomy

Re: PunBB 1.4.4

im abeginer in this forum, im interested for learning. Thx u

Re: PunBB 1.4.4

Is there a new version coming (this month or in a few months) ?

47

Re: PunBB 1.4.4

zetrader wrote:

Is there a new version coming (this month or in a few months) ?

I think a few years or never.

Best regards
ladous

48

Re: PunBB 1.4.4

i love this forum so much !

Re: PunBB 1.4.4

ladous wrote:
zetrader wrote:

Is there a new version coming (this month or in a few months) ?

I think a few years or never.

Thanks, i feel better now wink